class Jr < Formula
  desc "CLI program that helps you to create quality random data for your applications"
  homepage "https://jrnd.io/"
  url "https://github.com/jrnd-io/jr/archive/refs/tags/v0.3.9.tar.gz"
  sha256 "82d8e554724cdba39fa5f976f56422b9eb119644ec9de5a3e12a670eefb67bdc"
  license "MIT"
  head "https://github.com/jrnd-io/jr.git", branch: "main"

  depends_on "go" => :build

  def install
    ENV.deparallelize { system "make", "all" }
    libexec.install Dir["build/*"]
    pkgetc.install "config/jrconfig.json"
    pkgetc.install "templates"
    (bin/"jr").write_env_script libexec/"jr", JR_SYSTEM_DIR: pkgetc
  end

  test do
    assert_match "net_device", shell_output("#{bin}/jr template list").strip
  end
end
